Blob 获取设置
通过 GET /v1/account/settings 读取你的 Blob Storage 账户按前缀设置的规则。
GET
/
v1
/
account
/
settings
curl --request GET \
--url 'https://blob.squarecloud.app/v1/account/settings' \
--header 'Authorization: YOUR_API_KEY'
{
"status": "success",
"response": {
"rules": [
{
"prefix": "invoices/",
"private": true,
"extensions": ["pdf"],
"created_at": "2026-09-25T12:00:00.000Z"
},
{
"prefix": "tmp/",
"delete_after_days": 7,
"created_at": "2026-09-25T12:00:00.000Z",
"active_from": "2026-09-26T12:00:00.000Z"
}
]
}
}
获取设置会返回通过更新设置保存的规则。每条规则适用于其前缀下的文件:默认可见性、过期时间和缓存、大小和类型限制,以及自动删除。需要
blob:read scope。
响应
string
成功为 “success”,否则为 “error”。
object
curl --request GET \
--url 'https://blob.squarecloud.app/v1/account/settings' \
--header 'Authorization: YOUR_API_KEY'
{
"status": "success",
"response": {
"rules": [
{
"prefix": "invoices/",
"private": true,
"extensions": ["pdf"],
"created_at": "2026-09-25T12:00:00.000Z"
},
{
"prefix": "tmp/",
"delete_after_days": 7,
"created_at": "2026-09-25T12:00:00.000Z",
"active_from": "2026-09-26T12:00:00.000Z"
}
]
}
}
⌘I
curl --request GET \
--url 'https://blob.squarecloud.app/v1/account/settings' \
--header 'Authorization: YOUR_API_KEY'
{
"status": "success",
"response": {
"rules": [
{
"prefix": "invoices/",
"private": true,
"extensions": ["pdf"],
"created_at": "2026-09-25T12:00:00.000Z"
},
{
"prefix": "tmp/",
"delete_after_days": 7,
"created_at": "2026-09-25T12:00:00.000Z",
"active_from": "2026-09-26T12:00:00.000Z"
}
]
}
}

